Attention G4 Customers Using an ePad Device!

After upgrading to Dentrix® G4 Productivity Pack 7 the ePad device will no longer function properly with Dentrix. This is easily remedied by going to the ePad website and installing the latest drivers for this device. Detailed instructions are listed below.

  1. Uninstall the current Interlink drivers.
  2. Uninstall the current Interlink desktop software.
  3. Download and install the latest ePad drivers and desktop which can be found at www.epadsupport.com.
    1. Download and install the Universal Installer 9.40.5
    2. Download and install the IntegriSign Desktop 9.40

If you have any questions or need help with the installation of these newer drivers please contact Dentrix Customer Service at 1-800-DENTRIX.



Author: Jeff Beck
Published: 04/06/2010
Contact Us